#!/bin/sh

#**************************************************************
# Author: Didier Swingedouw
# Contact: dswinge@dsm-mail.cea.fr
# Author: Patrick Brockmann
# Contact: Patrick.Brockmann@ipsl.jussieu.fr
# $Date: 2003/03/18 12:59:25 $
# $Name: ATLAS_591_0_9 $
# $Revision: 1.1.1.2 $
# History:
# Modification:
#
#**************************************************************

input=$@
paper=-p
#frequency=1:90:10
frequency=1:40:40
your_reference_file=/directory/file.nc

# atlas -d -o Animation Animation.cfg toto



### historical
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Historical NA hole GFDL-ESM2G: SST" -o DirOut PlotAbrupt.jnl 'thetao "Historical / GFDL-ESM2G  /  NA hole" "-1" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:145]" "/data/sgubin/historicalint/GFDL-ESM2G_1850_2006_ym_thetao_1deg.nc" "lt" "/nolab/lev=(-INF)(-5,5,0.5)(INF)/pal=light_centered" "l=@sbx:10" "1860" 2005 "135:145" "1:10"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GFDL-ESM2G: SSS" -o DirOut PlotAbrupt.jnl 'so "Historical / GFDL-ESM2G  /  NA hole" "-1" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:145]" "/data/sgubin/historicalint/GFDL-ESM2G_1850_2006_ym_so_1deg.nc" "lt" "/nolab/lev=(-INF)(-2,2,0.2)(INF)/pal=light_centered" "l=@sbx:10" "1860" 2005 "135:145" "1:10"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Historical NA hole GFDL-ESM2G: Sea ice" -o DirOut PlotAbrupt.jnl 'sic "Historical / GFDL-ESM2G  /  NA hole" "10" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:145]" "/data/sgubin/NAWH_analysis/interpolated/GFDL-ESM2G_1850_2006_ym_sic_1deg.nc" "gt" "/nolab/lev=(-INF)(-100,100,10)(INF)/pal=light_centered" "l=@sbx:10" "1860" 2005 "135:145" "1:10"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Historical NA hole GFDL-ESM2G: MLD" -o DirOut PlotAbrupt.jnl 'omlmax "Historical / GFDL-ESM2G  /  NA hole" "-200" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:145]" "/data/sgubin/NAWH_analysis/interpolated/GFDL-ESM2G_1850_2006_ym_omlmax_1deg.nc" "le" "/nolab/lev=(-INF)(-400,400,20)(INF)/pal=light_centered" "l=@sbx:10" "1860" 2005 "135:145" "1:10"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Historical NA hole GFDL-ESM2G: BSF" -o DirOut AnalyseBSF.jnl '"/data/sgubin/NAWH_analysis/interpolated/GFDL-ESM2G_1850_2006_ym_msftbarot_1deg.nc" "1E-9*MSFTBAROT" "100:140" "10:60" "[1960-2000] - [1870-1920]"' 


### RCP2.6
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GISS-E2-R: SST" -o DirOut PlotAbrupt.jnl 'thetao "RCP2.6 / GISS-E2-R /  NA hole" "-1" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/RCP2.6int/GISS-E2-R_2006_2100_ym_thetao_1deg.nc" "lt"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GISS-E2-R: SSS" -o DirOut PlotAbrupt.jnl 'so "RCP2.6 / GISS-E2-R /  NA hole" "-1" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/RCP2.6int/GISS-E2-R_2006_2100_ym_so_1deg.nc" "lt" "/nolab/lev=(-INF)(-2,2,0.2)(INF)/pal=light_centered"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GISS-E2-R: sea ice" -o DirOut PlotAbrupt.jnl 'sic "RCP2.6 / GISS-E2-R /  NA hole" "10" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/NAWH_analysis/interpolated/GISS-E2-R_2006_2100_ym_sic_1deg.nc" "gt" "/nolab/lev=(-INF)(-100,100,10)(INF)/pal=light_centered"'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GISS-E2-R: MLD" -o DirOut PlotAbrupt.jnl 'sic "RCP2.6 / GISS-E2-R /  NA hole" "10" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/NAWH_analysis/interpolated/GISS-E2-R_2006_2100_ym_sic_1deg.nc" "gt" "/nolab/lev=(-INF)(-100,100,10)(INF)/pal=light_centered"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GISS-E2-R" -o DirOut AnalyseAMOC.jnl ' '
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP2.6 NA hole GISS-E2-R" -o DirOut AnalyseBSF.jnl ' '


# RCP8.5
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP8.5 NA hole CESM-CAM5: SST" -o DirOut PlotAbrupt.jnl 'thetao "RCP8.5 / CESM-CAM5  /  NA hole" "0" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/RCP8.5int/CESM1-CAM5_2006_2100_ym_thetao_1deg.nc" "lt"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP8.5 NA hole CESM-CAM5: SSS" -o DirOut PlotAbrupt.jnl '"1E3*so" "RCP8.5 / CESM-CAM5  /  NA hole" "0" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/RCP8.5int/CESM1-CAM5_2006_2100_ym_so_1deg.nc" "lt" "/nolab/lev=(-INF)(-2,2,0.2)(INF)/pal=light_centered"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP8.5 NA hole CESM-CAM5: Sea ice" -o DirOut PlotAbrupt.jnl 'sic "RCP8.5 / CESM-CAM5  /  NA hole" "0" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/NAWH_analysis/interpolated/CESM1-CAM5_2006_2100_ym_sic_1deg.nc" "gt" "/nolab/lev=(-INF)(-100,100,10)(INF)/pal=light_centered"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP8.5 NA hole CESM-CAM5: MLD" -o DirOut PlotAbrupt.jnl 'omlmax  "RCP8.5 / CESM-CAM5  /  NA hole" "-200" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/NAWH_analysis/interpolated/CESM1-CAM5_2006_2100_ym_omlmax_1deg.nc" "le" "/nolab/lev=(-INF)(-400,400,20)(INF)/pal=light_centered"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Historical NA hole CESM1-CAM5: BSF" -o DirOut AnalyseBSF.jnl '"/data/sgubin/NAWH_analysis/interpolated/CESM1-CAM5_2006_2100_ym_msftbarot_1deg.nc" "1E-9*MSFTBAROT" "85:95" "1:50" "[2090-2100] - [2006-2055]"' 

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "Historical NA hole CESM1-CAM5: AMOC" -o DirOut AnalyseAMOC.jnl '"/data/sgubin/NAWH_analysis/CESM1-CAM5_2006_2100_ym_msftmyz.nc" "1E-9*msftmyz[j=1]" "/nolab/lev=(-INF)(-5.5,5.5,1)(INF)/pal=light_centered/transpose" "85:95" "1:50" "i=34:59@max,k=@max" "[2090-2100] - [2006-2055]" "/transpose/lev=(-INF)(-25,25,2.5)(INF)"'

# RCP4.5
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "RCP4.5 NA-hole bcc-csm1-1-m" -o DirOut PlotAbrupt.jnl 'thetao "RCP4.5 / bcc-csm1-1-m /  NA  hole" "0" "[x=-70:35,y=40:85]" "[x=-70:35,y=40:85,l=1:94]" "/data/sgubin/RCP4.5int/bcc-csm1-1-m_2006_2100_ym_thetao_1deg.nc"'



